---
title: DataTransfer()
slug: Web/API/DataTransfer/DataTransfer
tags:
  - API
  - Constructor
  - DataTransfer
  - HTML Drag and Drop API
  - Reference
  - drag and drop
---
<p>{{APIRef("HTML Drag and Drop API")}}</p>

<p>The <strong><code>DataTransfer</code></strong> constructor creates a new {{domxref("DataTransfer")}} object instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>dataTrans</em> = new DataTransfer()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-datatransfer','the DataTransfer() constructor')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DataTransfer.DataTransfer")}}</p>
</div>
